org.modeshape.jcr

## Class RepositoryConfiguration.IndexRebuildOptions

- java.lang.Object
- - org.modeshape.jcr.RepositoryConfiguration.IndexRebuildOptions

- Enclosing class:
    RepositoryConfiguration

      @Immutable
      public static class RepositoryConfiguration.IndexRebuildOptions
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RepositoryConfiguration.IndexRebuildOptions(Document query)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RepositoryConfiguration.IndexingMode` | `getMode()` Returns the mode in which indexes should be rebuilt.
    `RepositoryConfiguration.QueryRebuild` | `getWhen()` Returns the strategy used for rebuilding indexes.
    `boolean` | `includeSystemContent()` Returns the value of the flag that controls whether system content should be reindexed or not at startup.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConfiguration.IndexRebuildOptions

          protected RepositoryConfiguration.IndexRebuildOptions(Document query)

  - ### Method Detail

    - #### includeSystemContent

          public boolean includeSystemContent()

      Returns the value of the flag that controls whether system content should be reindexed or not at startup.
      Returns:
        `true` if system content should be reindexed at startup; `false` otherwise

    - #### getMode

          public RepositoryConfiguration.IndexingMode getMode()

      Returns the mode in which indexes should be rebuilt.
      Returns:
        a `non-null` `RepositoryConfiguration.IndexingMode` instance

    - #### getWhen

          public RepositoryConfiguration.QueryRebuild getWhen()

      Returns the strategy used for rebuilding indexes.
      Returns:
        a `non-null` `RepositoryConfiguration.QueryRebuild` instance

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.